Bug 245353 - sysutils/go-wtf: fix build on aarch64
Summary: sysutils/go-wtf: fix build on aarch64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm64 Any
: --- Affects Only Me
Assignee: Mikael Urankar
URL:
Keywords: patch
Depends on:
Blocks: 242312
  Show dependency treegraph
 
Reported: 2020-04-04 17:49 UTC by Mikael Urankar
Modified: 2020-04-06 17:01 UTC (History)
2 users (show)

See Also:
hsw: maintainer-feedback+


Attachments
patch (10.20 KB, patch)
2020-04-04 17:49 UTC, Mikael Urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikael Urankar freebsd_committer 2020-04-04 17:49:10 UTC
Created attachment 213067 [details]
patch
Comment 1 Fernando Apesteguía freebsd_committer 2020-04-05 11:17:38 UTC
^Triage: Reporter is committer, assign accordingly.
Comment 2 Christopher Hall 2020-04-06 03:36:55 UTC
Comment on attachment 213067 [details]
patch

I also have this: https://reviews.freebsd.org/D23914
Comment 3 commit-hook freebsd_committer 2020-04-06 16:58:32 UTC
A commit references this bug:

Author: mikael
Date: Mon Apr  6 16:58:20 UTC 2020
New revision: 530890
URL: https://svnweb.freebsd.org/changeset/ports/530890

Log:
  sysutils/go-wtf: update to version 0.27.0, fix build on aarch64

  PR:		245353
  Submitted by:	Christopher Hall, mikael
  Approved by:	Christopher Hall (maintainer)
  Differential Revision:	https://reviews.freebsd.org/D23914

Changes:
  head/sysutils/go-wtf/Makefile
  head/sysutils/go-wtf/distinfo
  head/sysutils/go-wtf/files/
  head/sysutils/go-wtf/files/patch-gopsutil_aarch64
  head/sysutils/go-wtf/files/patch-vendor_golang.org_x_sys_unix_ztypes__freebsd__arm64.go